using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace UtmConvert {
    public class UtmConvertService : IUtmConvertService {
        public void DoWork() {
        }

        string _status = "ok";
        public string Status {
            get { return _status; }
        }

        public string getStatus() {
            return _status;
        }
        public Point convertLatLonToUtm(string lat, char ns, string lon
            , char ew, string format, string datum) {
            XmlParser parse = new XmlParser();
            Point p = new Point();
            p = parse.convertLatLonToUtm(lat, ns, lon, ew, format, datum);
            _status = parse.Status;
            return p;

        }
    }
}
